Skip to main content

getBlockCommitment

POST

Returns commitment for particular block.
Responses
idinteger
The request ID
jsonrpcstring
The JSON-RPC version
commitmentarray
Array of u64 integers logging the amount of cluster stake in lamports that has voted on the block at each depth from 0 to MAX_LOCKOUT_HISTORY.
totalStakeinteger
Total active stake, in lamports, of the current epoch.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X POST 'https://solana-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "getBlockCommitment",
"params": []
}'